* FOR CLIPPER ONLY!

******************************* CALLCLIP.PRG *******************************
* A very simple program to show how a PC can call another PC (with modems)
* and transfer files in both directions, all in the BACKGROUND.  Note that
* while the modems initially connect, the main application will be suspended
* until passwords are exchanged and verified.  This longest amount of time
* it could be suspended is a parameter in the _CALL & _AUTOANS UDFs (30 secs).
* This will only happen if passwords are requested AND we don't receive a
* valid password from other PC.
* NOTE: You need to define the other PC's modem telephone # below...


SET PROCEDURE TO CMETUDFC         && COMET UDFs located in CMETUDFC.PRG

* DEFINE MODEM'S TELEPHONE # HERE ...
ModemNo = '1(111)222-3333'


* 1st, let's find & OPEN the COM port for our modem
* If no modem found, exit to DOS
IF .NOT. _MODEM()
    @ 10, 10 SAY 'ERROR: CANNOT FIND A MODEM AT COM1 OR COM2'
    @ 11, 12 SAY 'HIT ANY KEY ...'
    DO WHILE INKEY() = 0        && Wait for keypress
    ENDDO
	DO ShutDown
ENDIF

*Modem found & initialized, now let's setup for calling out
* Note how passwords must be in reverse order of _AUTOANS() passwords
Nul = _CALL(_Port_, ModemNo,'PC #1', 'PC #2', 30, .T., 'YRECV ; YSEND CALLCLIP.PRG')

*Modem in process of calling out
*We can go on to our main application ...

* A very simple 3 field data entry screen ...
CLEAR
@ 24,0 SAY '<PgDn> - show file transfer status        |    <ESC> - quit'
STORE SPACE(20) TO Name, Addr1, Addr2

DO WHILE .T.
    @ 10, 10 SAY ' NAME:' GET Name
    @ 12, 10 SAY 'ADDR1:' GET Addr1
    @ 14, 10 SAY 'ADDR2:' GET Addr2
    READ
    RdKey = MOD(READKEY(),256)      && Strip modified value, if present
    DO CASE
        CASE RdKey = 7                    && PgDn ?
            @ 22,5
            @ 22,5 SAY 'STATUS: ' + TRIM(_COMET('FCHK' + SPACE(100)))   && Display file transfer status
        CASE RdKey = 12                     && ESC ?
            EXIT
    ENDCASE
ENDDO
DO ShutDown


PROCEDURE ShutDown
* Close COM port and exit
Cmd = _CLOSE(_Port_)
CANCEL
RETURN 
